package com.chainsaw.zombiedrive;

import com.badlogic.gdx.math.MathUtils;

final public class Gameplay {

	private static int zombieCount;
	public static boolean spawnWrench;
	public static int score;

	public static int killCount_N;
	public static int killCount_F;
	public static int killCount_W;

	public static int wrenchTime;
	public static float level;

	private static int wZombieCount;
	public static boolean gamePaused = false;

	private static int wrenchX;
	public static boolean wrenchOnScreen = false;

	private static float mileage;
	public static float totalMileage;
	public static float exitMileage;
	public static boolean exitOnScreen = false;
	private static int exitX;
	static int exitThreshold = 60;
	public static boolean spawnExit = false;

	public static float carX;
	public static int carHealth;

	Gameplay() {

	}

	public static void resetScore() {
		score = 0;
		killCount_F = 0;
		killCount_N = 0;
		killCount_W = 0;
		zombieCount = 0;
		mileage = 0;
		exitMileage = 0;
		spawnExit = false;
		exitOnScreen = false;
	}

	public static int getWrenchX() {
		return wrenchX;
	}

	public static void setWrenchX() {
		wrenchX = MathUtils.random(0, ZombieDrive.WIDTH
				- Assets.img_zombie_wrench.getRegionWidth());
	}

	public static void setSpawnWrench(boolean setWrench) {
		spawnWrench = setWrench;
		if (spawnWrench) {
			if (wZombieCount == -1)
				wZombieCount = getWrenchSeparation();
			setWrenchX();
		} else {
			wZombieCount = -1;
		}

	}

	public static void setZombieCount() {
		zombieCount++;
		if (spawnWrench) {
			wZombieCount--;
		}
	}

	public static float getSpawnTime() {
		return MathUtils.random(1000000000, 2000000000) / (float) level;
	}

	public static int getWrenchSeparation() {
		return (int) level * 5;
	}

	public static int getZombieType() {
		int type;

		if (zombieCount < 14) {
			type = Zombie.ZOMBIE_NORMAL;
		} else {
			if (zombieCount < 21) {
				type = Zombie.ZOMBIE_FAT;
			} else {
				type = Zombie.ZOMBIE_FEMALE;
			}
		}

		if (zombieCount > 28) {
			zombieCount = 0;
		}

		if (wZombieCount == 0) {
			type = Zombie.ZOMBIE_WRENCH;
			wZombieCount--;
		}

		if (Gameplay.exitMileage > exitThreshold && !Gameplay.exitOnScreen) {
			type = Zombie.ZOMBIE_EXIT;
		}

		return type;
	}

	public static void addDistance(float delta) {
		mileage += delta;
		exitMileage += delta;
	}

	public static int getDistance() {
		return (int) mileage;
	}

	public static int getExitX() {
		return exitX;
	}

	public static void setExitX() {
		exitX = MathUtils.random(0,
				ZombieDrive.WIDTH - Assets.img_exit_sign.getRegionWidth());
	}

}
